### Function

# Gck slots_enumerate_objects

#### Declaration [src]

    GckEnumerator*
    gck_slots_enumerate_objects (
      GList* slots,
      GckAttributes* match,
      GckSessionOptions options
    )

#### Description [src]

Setup an enumerator for listing matching objects on the slots.

This call will not block but will return an enumerator immediately.

#### Parameters

`slots`

  Type: A list of `None`

  A list of `GckSlot` to enumerate objects on.

  The data is owned by the caller of the function.

`match`

  Type: `GckAttributes`

  Attributes that the objects must match, or empty for all objects.

  The data is owned by the caller of the function.

`options`

  Type: `GckSessionOptions`

  Options for opening a session.

#### Return value

Type: `GckEnumerator`

A new enumerator.

The caller of the function takes ownership of the data, and is responsible for freeing it.